Docs/CS2 API/CS2 Stats and Leaderboards API

CS2 Stats and Leaderboards API

Aggregated leaders and scene-wide stats: leaderboards by metric, and deep dives into duels, clutches, utility and economy.

11 endpoints in this section. Authenticate with the x-api-key header; every response is { success, data, meta }. Other sections: Live, Odds, Matches, Maps & rounds, Rankings, Teams, Players, Events, Skins, Transfers, Search & reference.

Player leaderboard

GET/api/v1/cs2/leaderboards/{metric}

Top players by one metric over a recent window, with a minimum number of maps. `metric`: `rating`, `adr`, `kast`, `kd`, `kills` or `opening-kills`.

Query parameters

ParameterTypeDescription
metric (path)*stringOne of rating, adr, kast, kd, kills, opening-kills.
limitintegerRows to return. Maximum 200; larger values are reduced to 200.
min_mapsintegerMinimum maps played to be included.
window_daysintegerLook-back window in days.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/leaderboards/rating" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "playerId": "cs2-player-11893",
      "playerName": "ZywOo",
      "teamId": "cs2-team-9565",
      "teamName": "Vitality",
      "maps": 48,
      "rating": 1.28,
      "adr": 92.6,
      "kast": 0.792,
      "kills": 814,
      "deaths": 537,
      "openingKills": 104,
      "kd": 1.52,
      "player": {
        "id": "cs2-player-11893",
        "nickname": "ZywOo",
        "slug": "zywoo",
        "imageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/9a20575a48df13463513233c6314f72c.webp",
        "countryName": "France",
        "countryCode": "FR"
      }
    },
    {
      "playerId": "cs2-player-21211",
      "playerName": "adeX",
      "teamId": "cs2-team-9958",
      "teamName": "Alter Ego",
      "maps": 38,
      "rating": 1.25,
      "adr": 93.4,
      "kast": 0.748,
      "kills": 750,
      "deaths": 511,
      "openingKills": 95,
      "kd": 1.47,
      "player": {
        "id": "cs2-player-21211",
        "nickname": "adeX",
        "slug": "adex",
        "imageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/e4597261c1113faffef71cf6b24b2006.webp",
        "countryName": "Romania",
        "countryCode": "RO"
      }
    }
  ],
  "meta": {
    "metric": "rating",
    "count": 2,
    "aggregated": true,
    "windowDays": 90,
    "minMaps": 20,
    "availability": "available",
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Player stat leaders

GET/api/v1/cs2/stats/players

Players ranked by total kills, one row per player, with maps, K/D, ADR, KAST, rating and opening duels.

Query parameters

ParameterTypeDescription
daysintegerLook-back window in days.
limitintegerRows to return. Maximum 200; larger values are reduced to 200.
window_daysintegerLook-back window in days.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/stats/players" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "playerId": "cs2-player-13776",
      "playerName": "Jame",
      "teamId": "cs2-team-12467",
      "teamName": "PARIVISION",
      "maps": 850,
      "kills": 13338,
      "deaths": 10377,
      "assists": 4042,
      "kdRatio": 1.2853,
      "adr": 70.74275240384615,
      "kast": 0.7500485576923077,
      "rating": 1.130164705882353,
      "openingKills": 2141,
      "openingDeaths": 1098,
      "openingDuelSuccessRate": 0.661,
      "ratingProfile": {
        "rating": 1.130164705882353,
        "ratingVersion": "cito_rating_1",
        "components": {
          "killsPerMap": 15.692,
          "adr": 70.74275240384615,
          "kast": 0.7500485576923077,
          "killsPlusAssistsPerDeath": 1.6749
        },
        "openingDuels": {
          "openingKills": 2141,
          "openingDeaths": 1098,
          "successRate": 0.661
        },
        "formula": "Cito Rating 1.0 per map: 0.30*KPR/0.683 + 0.25*(1-DPR)/0.305 + 0.25*ADR/74.1 + 0.15*KAST/0.716 + 0.05*APR/0.223 (per-…"
      },
      "source": "match_stats"
    },
    {
      "playerId": "cs2-player-11893",
      "playerName": "ZywOo",
      "teamId": "cs2-team-9565",
      "teamName": "Vitality",
      "maps": 636,
      "kills": 12038,
      "deaths": 8241,
      "assists": 3024,
      "kdRatio": 1.4607,
      "adr": 87.96595121951219,
      "kast": 0.7805071544715447,
      "rating": 1.244496855345912,
      "openingKills": 1806,
      "openingDeaths": 1064,
      "openingDuelSuccessRate": 0.6293,
      "ratingProfile": {
        "rating": 1.244496855345912,
        "ratingVersion": "cito_rating_1",
        "components": {
          "killsPerMap": 18.928,
          "adr": 87.96595121951219,
          "kast": 0.7805071544715447,
          "killsPlusAssistsPerDeath": 1.8277
        },
        "openingDuels": {
          "openingKills": 1806,
          "openingDeaths": 1064,
          "successRate": 0.6293
        },
        "formula": "Cito Rating 1.0 per map: 0.30*KPR/0.683 + 0.25*(1-DPR)/0.305 + 0.25*ADR/74.1 + 0.15*KAST/0.716 + 0.05*APR/0.223 (per-…"
      },
      "source": "match_stats"
    }
  ],
  "meta": {
    "category": "players",
    "count": 2,
    "source": "match_stats",
    "dataAvailable": true,
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Team stat leaders

GET/api/v1/cs2/stats/teams

Teams by maps played over a recent window (`days`, default 365; `min_maps`, default 10), with match, map and round win rates from completed maps.

Query parameters

ParameterTypeDescription
limitintegerRows to return. Maximum 200; larger values are reduced to 200.
min_mapsintegerMinimum maps played to be included.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/stats/teams" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "teamId": "cs2-team-13027",
      "teamName": "Nuclear TigeRES",
      "matches": 174,
      "matchWins": 114,
      "matchWinPercent": 0.6552,
      "maps": 397,
      "mapWins": 241,
      "mapLosses": 156,
      "mapWinPercent": 0.6071,
      "roundsFor": 4566,
      "roundsAgainst": 4060,
      "roundWinPercent": 0.5293
    },
    {
      "teamId": "cs2-team-13214",
      "teamName": "SPARTA",
      "matches": 163,
      "matchWins": 81,
      "matchWinPercent": 0.4969,
      "maps": 379,
      "mapWins": 193,
      "mapLosses": 186,
      "mapWinPercent": 0.5092,
      "roundsFor": 4090,
      "roundsAgainst": 4122,
      "roundWinPercent": 0.4981
    }
  ],
  "meta": {
    "category": "teams",
    "count": 2,
    "windowDays": 365,
    "minMaps": 10,
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Map stats

GET/api/v1/cs2/stats/maps

How many times each map was played in completed matches over a recent window (`days`, default 365), most played first, with its share of all maps.

Query parameters

ParameterTypeDescription
limitintegerRows to return. Maximum 200; larger values are reduced to 200.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/stats/maps" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "mapName": "Dust II",
      "mapsPlayed": 4525,
      "share": 0.1916
    },
    {
      "mapName": "Mirage",
      "mapsPlayed": 4080,
      "share": 0.1727
    }
  ],
  "meta": {
    "category": "maps",
    "count": 2,
    "windowDays": 365,
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Weapon stats

GET/api/v1/cs2/stats/weapons

Kills and headshot rate by weapon across parsed demos, with each weapon's share of all kills.

Query parameters

ParameterTypeDescription
limitintegerRows to return. Maximum 200; larger values are reduced to 200.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/stats/weapons" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "weapon": "AK-47",
      "kills": 545033,
      "headshots": 328286,
      "headshotPercent": 0.6023,
      "killShare": 0.3404,
      "maps": 10973
    },
    {
      "weapon": "M4A1-S",
      "kills": 235346,
      "headshots": 98239,
      "headshotPercent": 0.4174,
      "killShare": 0.147,
      "maps": 10940
    }
  ],
  "meta": {
    "category": "weapons",
    "count": 2,
    "dataAvailable": true,
    "dataScope": "parsed_demos",
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Pistol round stats

GET/api/v1/cs2/stats/pistol-rounds

Team pistol round win rates. Currently being recomputed: returns `data_available: false` with `unavailable_reason: being_recomputed`.

Query parameters

ParameterTypeDescription
limitintegerRows to return. Maximum 200; larger values are reduced to 200.
min_mapsintegerMinimum maps played to be included.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/stats/pistol-rounds" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "teamId": "cs2-team-13865",
      "teamName": "Arch",
      "pistolRoundsPlayed": 26,
      "pistolRoundsWon": 22,
      "pistolWinPercent": 0.8462,
      "firstHalfPistolWins": 11,
      "secondHalfPistolWins": 11,
      "ctPistolWinPercent": 0.8,
      "tPistolWinPercent": 0.875,
      "maps": 13
    },
    {
      "teamId": "cs2-team-14014",
      "teamName": "Gothic",
      "pistolRoundsPlayed": 32,
      "pistolRoundsWon": 23,
      "pistolWinPercent": 0.7188,
      "firstHalfPistolWins": 12,
      "secondHalfPistolWins": 11,
      "ctPistolWinPercent": 0.7857,
      "tPistolWinPercent": 0.6667,
      "maps": 16
    }
  ],
  "meta": {
    "category": "pistol-rounds",
    "count": 2,
    "dataAvailable": true,
    "minPistolRounds": 20,
    "dataScope": "round_1_and_round_13",
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Opening duel stats

GET/api/v1/cs2/stats/opening-duels

Players ranked by first kills and opening duel win rate.

Query parameters

ParameterTypeDescription
limitintegerRows to return. Maximum 200; larger values are reduced to 200.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/stats/opening-duels" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "playerId": "cs2-player-13915",
      "playerName": "YEKINDAR",
      "teamId": "cs2-team-8297",
      "teamName": "FURIA",
      "maps": 652,
      "openingKills": 2323,
      "openingDeaths": 2307,
      "openingDuelAttempts": 4630,
      "openingDuelSuccessRate": 0.5017278617710583,
      "kills": 10136,
      "deaths": 10139
    },
    {
      "playerId": "cs2-player-13776",
      "playerName": "Jame",
      "teamId": "cs2-team-12467",
      "teamName": "PARIVISION",
      "maps": 847,
      "openingKills": 2141,
      "openingDeaths": 1098,
      "openingDuelAttempts": 3239,
      "openingDuelSuccessRate": 0.6610064834825563,
      "kills": 13282,
      "deaths": 10336
    }
  ],
  "meta": {
    "category": "opening-duels",
    "count": 2,
    "dataAvailable": true,
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Clutch stats

GET/api/v1/cs2/stats/clutches

Players ranked by clutch wins. Currently being recomputed: returns `data_available: false` with `unavailable_reason: being_recomputed`.

Query parameters

ParameterTypeDescription
limitintegerRows to return. Maximum 200; larger values are reduced to 200.
min_attemptsstringFilter by min_attempts.
min_mapsintegerMinimum maps played to be included.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/stats/clutches" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "playerId": "cs2-player-22481",
      "playerName": "Chucky",
      "teamId": "cs2-team-10503",
      "teamName": "OG",
      "clutchAttempts": 689,
      "clutchesWon": 109,
      "clutchWinPercent": 15.8,
      "wins1v1": 63,
      "wins1v2": 32,
      "wins1v3Plus": 14
    },
    {
      "playerId": "cs2-player-24818",
      "playerName": "k4nfuz",
      "teamId": "cs2-team-12609",
      "teamName": "Lavked",
      "clutchAttempts": 595,
      "clutchesWon": 96,
      "clutchWinPercent": 16.1,
      "wins1v1": 61,
      "wins1v2": 25,
      "wins1v3Plus": 10
    }
  ],
  "meta": {
    "category": "clutches",
    "count": 2,
    "dataAvailable": true,
    "minAttempts": 20,
    "source": "demo_round_timeline",
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Flash assist stats

GET/api/v1/cs2/stats/flash-assists

Players ranked by flash assists.

Query parameters

ParameterTypeDescription
limitintegerRows to return. Maximum 200; larger values are reduced to 200.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/stats/flash-assists" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "playerId": "cs2-player-22481",
      "playerName": "Chucky",
      "teamId": "cs2-team-11609",
      "teamName": "GenOne",
      "flashAssists": 361,
      "maps": 153,
      "flashAssistsPerMap": 2.3595
    },
    {
      "playerId": "cs2-player-18322",
      "playerName": "KAISER",
      "teamId": "cs2-team-12776",
      "teamName": "Bounty Hunters",
      "flashAssists": 288,
      "maps": 109,
      "flashAssistsPerMap": 2.6422
    }
  ],
  "meta": {
    "category": "flash-assists",
    "count": 2,
    "dataAvailable": true,
    "dataScope": "flash_assists_from_player_death_assistedflash",
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Utility stats

GET/api/v1/cs2/stats/utility

Players ranked by grenades thrown, by type. Updated hourly.

Query parameters

ParameterTypeDescription
limitintegerRows to return. Maximum 200; larger values are reduced to 200.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/stats/utility" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "playerId": "cs2-player-22883",
      "playerName": "k1slll",
      "teamId": "cs2-team-13814",
      "teamName": "INOX Division",
      "maps": 174,
      "utilityEvents": 11216,
      "flashes": 3052,
      "smokes": 3107,
      "fireGrenades": 2379,
      "heGrenades": 2661,
      "decoys": 17,
      "utilityPerMap": 64.4598,
      "lastSyncedAt": "2026-10-04T23:25:31.559Z"
    },
    {
      "playerId": "cs2-player-19065",
      "playerName": "SHiNE",
      "teamId": "cs2-team-12889",
      "teamName": "G2 Ares",
      "maps": 149,
      "utilityEvents": 10288,
      "flashes": 4025,
      "smokes": 2729,
      "fireGrenades": 2136,
      "heGrenades": 1387,
      "decoys": 11,
      "utilityPerMap": 69.047,
      "lastSyncedAt": "2026-10-14T18:27:22.070Z"
    }
  ],
  "meta": {
    "category": "utility",
    "count": 2,
    "dataAvailable": true,
    "dataScope": "player_utility_throws_by_type",
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Economy stats

GET/api/v1/cs2/stats/economy

Players ranked by spend, with full-buy, half-buy, force-buy and eco round counts. Updated hourly.

Query parameters

ParameterTypeDescription
limitintegerRows to return. Maximum 200; larger values are reduced to 200.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/stats/economy" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "playerId": "cs2-player-24818",
      "playerName": "k4nfuz-",
      "teamId": "cs2-team-12609",
      "teamName": "Lavked",
      "maps": 237,
      "purchases": 33772,
      "totalSpend": 20878300,
      "avgEquipmentValue": 3893.24,
      "equipmentSnapshots": 5130,
      "fullBuyRounds": 3268,
      "halfBuyRounds": 549,
      "forceBuyRounds": 386,
      "ecoOrPistolRounds": 927,
      "spendPerMap": 88094.0928,
      "lastSyncedAt": "2026-10-16T17:04:38.780Z"
    },
    {
      "playerId": "cs2-player-21971",
      "playerName": "brooxsy",
      "teamId": "cs2-team-11609",
      "teamName": "GenOne",
      "maps": 221,
      "purchases": 32773,
      "totalSpend": 19773600,
      "avgEquipmentValue": 3907.74,
      "equipmentSnapshots": 4724,
      "fullBuyRounds": 3071,
      "halfBuyRounds": 526,
      "forceBuyRounds": 303,
      "ecoOrPistolRounds": 824,
      "spendPerMap": 89473.3032,
      "lastSyncedAt": "2026-10-14T11:53:38.523Z"
    }
  ],
  "meta": {
    "category": "economy",
    "count": 2,
    "dataAvailable": true,
    "dataScope": "player_purchase_and_freeze_end_equipment_summary",
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Try the CS2 Stats and Leaderboards API

Run a real request with your key, then wire the same call into your app. The free plan includes 500 requests a month.

bash
curl "https://api.citoapi.com/api/v1/cs2/leaderboards/rating?limit=10" \
  -H "x-api-key: YOUR_API_KEY"